bash --login -i -c 'nasm -f elf /home/myos/Loader.asm -o /home/myos/Loader.o'

bash --login -i -c 'gcc -o /home/myos/kernel.o -c /home/myos/kernel.c -Wall -Wextra -Werror -nostdlib -nostartfiles -nodefaultlibs'

rem bash --login -i -c 'g++ -Wall -Wpointer-arith -Wcast-align -Wno-unused-parameter -nostdlib -fno-builtin -fno-rtti -fno-exceptions -c /home/myos/Main.cpp -o /home/myos/Main.o'

bash --login -i -c 'ld -T /home/myos/Link.ld -o /home/myos/Kernel /home/myos/*.o'

copy Kernel isoSource\\kernel

bash --login -i -c 'genisoimage -R -b boot/grub/stage2_eltorito -no-emul-boot -boot-load-size 4 -boot-info-table -o /home/myos/img.iso /home/myos/isoSource'

pause